package com.tanpu.feo.feojob.constant;


/**
 * 部门信息表Constant 数据库表字段对应的实体类属性名常量类,
 * 					在编写自定义impl层tk.mybatis方法需要指定属性名时使用
 * @author zejia zj wu 2021年05月18日
 * @version 1.0
 */
public class DepartmentConstant{

	/** 唯一主键 */
	public static final String ID = "id";
	/** 部门id */
	public static final String DEPARTMENT_ID = "departmentId";
	/** 部门name */
	public static final String DEPARTMENT_NAME = "departmentName";
	/** 部门类型 */
	public static final String TYPE = "type";
	/** 上级部门id，为空表示上级就是机构 */
	public static final String PARENT_DEPART_ID = "parentDepartId";
	/** 机构id */
	public static final String ORG_ID = "orgId";
	/** 0未删除，1删除 */
	public static final String DELETE_TAG = "deleteTag";
	/** 部门层级，从1开始，0表示机构 */
	public static final String LEVEL = "level";
	/** 创建时间 */
	public static final String CREATE_TIME = "createTime";
	/** 修改时间 */
	public static final String UPDATE_TIME = "updateTime";
	/** 修改人 */
	public static final String UPDATE_BY = "updateBy";
	/** 创建人 */
	public static final String CREATE_BY = "createBy";
	/** 人数 */
	public static final String MEMBERS = "members";

	private DepartmentConstant() {}
}
