package com.tanpu.feo.feojob.dto;

import com.tanpu.feo.feojob.web.dto.PageHelperDTO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.Builder;
import java.util.Date;
import io.swagger.annotations.ApiModelProperty;

/**
 * 机构扩展信息表DTO
 *
 * @author zejia zj wu 2021年05月18日
 * @version 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class OrgExtDTO extends PageHelperDTO {

	private static final long serialVersionUID = 1L;
	/** 机构id */
	@ApiModelProperty(value = "机构id")
	private String orgId;
	/** 0未删除，1删除 */
	/** 组织架构管理模式, 1从企业微信同步，2自定义 */
	@ApiModelProperty(value = "组织架构管理模式, 1从企业微信同步，2自定义")
	private String model;
	/** 企业微信认证相关key */
	@ApiModelProperty(value = "企业微信认证相关key")
	private String jsonWxcpKey;
	/** 企业微信同步 数据MD5 */
	@ApiModelProperty(value = "企业微信同步 数据MD5")
	private String md5WxcpData;
}
