package com.tanpu.feo.feojob.service.impl;

import java.util.ArrayList;
import java.util.List;

import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.tanpu.feo.feojob.dto.DepartmentEmployeeDTO;
import com.tanpu.feo.feojob.entity.Department;
import com.tanpu.feo.feojob.entity.DepartmentEmployee;
import com.tanpu.feo.feojob.mapper.DepartmentEmployeeMapper;
import com.tanpu.feo.feojob.service.DepartmentEmployeeService;
import com.tanpu.feo.feojob.web.entity.BaseEntity;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import lombok.extern.slf4j.Slf4j;

import cn.hutool.core.bean.BeanUtil;

/**
 * 部门员工关系表ServiceImp
 *
 * @author zejia zj wu 2021年05月18日
 * @version 1.0
 */
@Service("departmentEmployeeService")
@Slf4j
public class DepartmentEmployeeServiceImpl implements DepartmentEmployeeService {

	@Autowired
	private DepartmentEmployeeMapper departmentEmployeeMapper;


	@Override
	public DepartmentEmployeeDTO selectById(String id) {
		DepartmentEmployee departmentEmployee = departmentEmployeeMapper.selectById(id);
		return BeanUtil.toBean(departmentEmployee, DepartmentEmployeeDTO.class);
	}

	@Override
	public List<DepartmentEmployeeDTO> selectListByObject(DepartmentEmployeeDTO departmentEmployeeDTO) {
		DepartmentEmployee departmentEmployee = BeanUtil.toBean(departmentEmployeeDTO, DepartmentEmployee.class);
		QueryWrapper queryWrapper = new QueryWrapper<>(departmentEmployee);
		List<DepartmentEmployee> departmentEmployeeList = departmentEmployeeMapper.selectList(queryWrapper);
		List<DepartmentEmployeeDTO> departmentEmployeeDtoList = new ArrayList<>();
		departmentEmployeeList.forEach(departmentEmployeeEntity -> {
			departmentEmployeeDtoList.add(BeanUtil.toBean(departmentEmployeeEntity, DepartmentEmployeeDTO.class));
		});
		return departmentEmployeeDtoList;
	}

	@Override
	public List<DepartmentEmployee> findInfoByOrgId(String orgId) {
		QueryWrapper<DepartmentEmployee> queryWrapper = new QueryWrapper<>();
		queryWrapper.eq("org_id",orgId)
				.eq("delete_tag","0");
		List<DepartmentEmployee> departmentEmployeeList = departmentEmployeeMapper.selectList(queryWrapper);
		return departmentEmployeeList;
	}
}
