package com.tanpu.feo.feojob.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.tanpu.feo.feojob.entity.Employee;
import com.tanpu.feo.feojob.mapper.EmployeeMapper;
import com.tanpu.feo.feojob.service.EmployeeService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 员工信息表ServiceImp
 *
 * @author zejia zj wu 2021年05月18日
 * @version 1.0
 */
@Service("employeeService")
@Slf4j
public class EmployeeServiceImpl implements EmployeeService {

	@Autowired
	private EmployeeMapper employeeMapper;

	@Override
	public List<Employee> getEmployeeSListByOrgId(String orgId) {
		QueryWrapper<Employee> queryWrapper = new QueryWrapper<>();
		queryWrapper.eq("org_id", orgId)
				.eq("delete_tag", "0");
		List<Employee> userInfoList = employeeMapper.selectList(queryWrapper);
		return userInfoList;
	}
}
